Debian Lenny: 404 when using apt-get

Support for Debian 5 (Lenny) has been officially discontined on February, 6th 2012. All Lenny software packages have been removed from Debian mirrors and whenever you use apt-get update or apt-get install to update or install new packages, you get an error message:

W: Failed to fetch <URL> 404 Not Found

It is of course recommended to upgrade to Debian 6 (Squeeze). But if you still want to update packaged for Lenny, you need to update the following in /etc/apt/sources.list:

deb http://ftp.de.debian.org/debian/ lenny main
deb-src
http://ftp.de.debian.org/debian/ lenny main

to:

deb http://ftp.de.debian.org/debian-archive/debian/ lenny main
deb-src
http://ftp.de.debian.org/debian-archive/debian/ lenny main

(replace ftp.de.debian.org by the repository you actually want to use)

After an apt-get update you can install Lenny packages again (although it is really recommended to upgrade to Squeeze).

One thought on “Debian Lenny: 404 when using apt-get

Leave a Reply

Your email address will not be published. Required fields are marked *